<template>
  <v-card>
    <v-card-title>AuthForm</v-card-title>
    <v-card-text>
      <v-form v-model="valid">
        <v-row>
          <v-col cols="4">
            <v-text-field v-model="login.username" label="Username"></v-text-field>
          </v-col>
          <v-col cols="4">
            <v-text-field v-model="login.password" label="Password"></v-text-field>
          </v-col>
          <v-col cols="4">
            <v-btn color="success" @click.prevent="userLogin">Submit</v-btn>
          </v-col>
        </v-row>
      </v-form>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      valid: true,

      login: {
        username: '',
        password: '',
      },
    }
  },
  methods: {
    async userLogin() {
      try {
        const response = await this.$auth.loginWith('local', { data: this.login })
        console.log(response)
      } catch (err) {
        console.log(err)
      }
    },
  },
}
</script>
